package com.winsea.svc.common.international;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Lazy;

/**
 * 国际化配置
 * 
 * @author SunTianjun
 */
@Configuration
public class InternationalConfig {

	@Bean
	public InternationalProperties internationalProperties() {
		return new InternationalProperties();
	}

	@Bean
	@Lazy
	public InternationalResourceProviderAdapter internationalResourceProviderAdapter() {
		return new InternationalResourceProviderAdapter();
	}
}